package me.Demon.AskyBlockWarps.Data;

import com.wasteofplastic.askyblock.ASkyBlockAPI;
import com.wasteofplastic.askyblock.Island;
import me.Demon.AskyBlockWarps.Main;
import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.configuration.file.FileConfiguration;

import java.util.HashMap;

public class WarpData {

    private String key;
    private Location location;
    private boolean locSwitch;
    private Island island;

    public WarpData(String key){
        FileConfiguration yml = Main.plugin.getConfig();
        this.key = key;
        String string = "Stats."+key+".";
        String worldName = yml.getString(string+"world");
        World world = Bukkit.getWorld(worldName);
        if(world==null){
            System.out.println("[错误 - Sky坐标] "+key+"无法检测该世界.");
            return;
        }
        double x = yml.getDouble(string+"x");
        double y = yml.getDouble(string+"y");
        double z = yml.getDouble(string+"z");
        float yaw = (float) yml.getDouble(string+"yaw");
        float pitch = (float) yml.getDouble(string+"pitch");
        this.location = new Location(world,x,y,z,yaw,pitch);
        this.island = ASkyBlockAPI.getInstance().getIslandAt(location);
        this.locSwitch = yml.getBoolean(string+"switch");
    }
    public WarpData(String key,Location location){
        this.key = key;
        this.location = location;
        this.locSwitch = true;
    }

    public void SaveData(){
        FileConfiguration yml = Main.plugin.getConfig();
        String string = "Stats."+key+".";
        yml.set(string+"switch",this.locSwitch);
        yml.set(string+"world",location.getWorld().getName());
        yml.set(string+"x",location.getX());
        yml.set(string+"y",location.getY());
        yml.set(string+"z",location.getZ());
        yml.set(string+"yaw",location.getYaw());
        yml.set(string+"pitch",location.getPitch());
        Main.plugin.saveConfig();
    }

    public Location getLocation() {
        return location;
    }

    public String getKey() {
        return key;
    }

    public void setLocation(Location location) {
        this.location = location;
    }

    public boolean isLocSwitch() {
        return locSwitch;
    }

    public Island getIsland() {
        return island;
    }
}
