package me.Demon.AskyBlockWarps.Manage;

import me.Demon.AskyBlockWarps.Data.WarpData;
import me.Demon.AskyBlockWarps.Main;
import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.configuration.file.FileConfiguration;

import java.util.HashMap;

public class GameManage {

    private FileConfiguration yml;
    private HashMap<String, WarpData> warpDataMap = new HashMap<>();

    public GameManage(FileConfiguration yml){
        this.yml = yml;
        if(yml.getConfigurationSection("Stats") == null){
            yml.createSection("Stats");
        }
        for (String key : yml.getConfigurationSection("Stats").getKeys(false)){
            warpDataMap.put(key,new WarpData(key));
        }
        Bukkit.getConsoleSender().sendMessage("[载入岛屿地标] "+warpDataMap.size()+"个");
    }

    public HashMap<String, WarpData> getWarpDataMap() {
        return warpDataMap;
    }

    public WarpData getWarpData(String key){
        if(warpDataMap.get(key) == null){
            return null;
        }
        return warpDataMap.get(key);
    }

    public void setWarpLoc(String key,Location location){
        if(warpDataMap.get(key) == null){
            warpDataMap.put(key,new WarpData(key,location));
            warpDataMap.get(key).SaveData();
        }else{
            warpDataMap.get(key).setLocation(location);
            warpDataMap.get(key).SaveData();
        }
    }

    public void removeWarpLoc(String key){
        if(warpDataMap.get(key) == null){
            return;
        }
        warpDataMap.remove(key);
        yml.set("Stats."+key,null);
        Main.plugin.saveConfig();
    }

    // 获取这个传送点是否开启
    public boolean getWarpSwitch(String key){
        if(warpDataMap.get(key) == null){
            return false;
        }
        return warpDataMap.get(key).isLocSwitch();
    }

    // 获取这个坐标点的坐标
    public Location getWarpLoc(String key){
        if(warpDataMap.get(key) == null){
            return null;
        }
        return warpDataMap.get(key).getLocation();
    }
}
